#include <bits/stdc++.h>
using namespace std;
vector<int> a;
int main() {
	int n;
    cin >> n;
    for(int i=1; i<=n; i++){
        a.push_back(i);
    }
    for(int j=0; j*j<=n; j++){
        for(int p=0; p<n/j+1; p+=j){
            a.push_back(a[p]);
        }
    }
    cout<<a[a.size()-2]<<endl;
	return 0;
}
